﻿// AboutBox.cs
//
//  Copyright (C) 2009 Mawerick
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
//
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Reflection;
using System.Windows.Forms;

namespace GUISelect
{
	/// <summary>
	/// Description of About.
	/// </summary>
	public partial class AboutBox : Form
	{
		public AboutBox()
		{
			InitializeComponent();
			this.UrlLabel.Links[0].LinkData = "http://guiselect.wrongplace.net/";
			this.EmailLabel.Links[0].LinkData = "mailto:mawerick@wrongplace.net";
		}

		internal void OnLoad( object sender, EventArgs e )
		{
			Assembly asm = Assembly.GetExecutingAssembly();
			ComponentResourceManager crm = new ComponentResourceManager( typeof(AboutBox) );
			this.Text = crm.GetString( "$this.Text" ) +
				(asm.GetCustomAttributes( typeof(AssemblyTitleAttribute), false )[0] as AssemblyTitleAttribute).Title;
			this.ProductLabel.Text = (asm.GetCustomAttributes( typeof(AssemblyTitleAttribute), false )[0] as AssemblyTitleAttribute).Title;
			this.VersionLabel.Text = "v" + asm.GetName().Version.ToString();
		}

		internal void OnLinkClicked( object sender, LinkLabelLinkClickedEventArgs e )
		{
			Process.Start( e.Link.LinkData as string );
		}
	}
}
