; $Id$
;  GUISelect - GUI selection tool for Anarchy Online
;  Copyright (C) 2009  Mawerick
;
;  This program is free software; you can redistribute it and/or modify
;  it under the terms of the GNU General Public License as published by
;  the Free Software Foundation; version 2 of the License.
;
;  This program is distributed in the hope that it will be useful,
;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;  GNU General Public License for more details.
;
;  You should have received a copy of the GNU General Public License
;  along with this program; if not, write to the Free Software
;  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
;

;---------------------------------------
;include Modern UI

  !include "MUI2.nsh"

;---------------------------------------
;General

  ;Name and file
  Name "GUISelect"
  OutFile "..\\..\\_Releases\\GUISelect\\GUISelect-1.0.0.exe"

  ;Default install folder
  InstallDir $PROGRAMFILES\GUISelect

  ;Get install folder from registry if available
  InstallDirRegKey HKLM "Software\GUISelect" "InstallPath"

  ;Request app priveleges (Vista)
  RequestExecutionLevel user

  SetCompressor lzma

;---------------------------------------
;Variables

  Var StartMenuFolder

;---------------------------------------
;Interface settings

  !define MUI_HEADERIMAGE
  !define MUI_HEADERIMAGE_BITMAP "installer.bmp"
  !define MUI_ABORTWARNING
  !define MUI_FINISHPAGE_NOAUTOCLOSE

;---------------------------------------
;Pages

  !insertmacro MUI_PAGE_LICENSE "GPLv3_Licence.txt"
  !insertmacro MUI_PAGE_DIRECTORY

  ;Start Menu Folder Page Configuration
  !define MUI_STARTMENUPAGE_REGISTRY_ROOT "HKCU"
  !define MUI_STARTMENUPAGE_REGISTRY_KEY "Software\GUISelect"
  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Start Menu Folder"
  !insertmacro MUI_PAGE_STARTMENU Application $StartMenuFolder

  !insertmacro MUI_PAGE_INSTFILES

  !insertmacro MUI_UNPAGE_CONFIRM
  !insertmacro MUI_UNPAGE_INSTFILES
 
  ;Finish Page Configuration
  !define MUI_FINISHPAGE_RUN $INSTDIR\GUISelect.exe
  !define MUI_FINISHPAGE_RUN_TEXT "Run GUISelect now."
  !insertmacro MUI_PAGE_FINISH

;---------------------------------------
;Languages

  !insertmacro MUI_LANGUAGE "English"

;---------------------------------------
;Installer sections
Section "AOcrayon" SecAOC

  SectionIn RO

  SetOutPath $INSTDIR
  File "..\bin\Release\GUISelect.exe"
  File "..\bin\Release\TWP.Utilities.dll"
  File Readme.txt
;  File ChangeLog.txt
  File GPLv3_Licence.txt

  ;Store install folder
  WriteRegStr HKCU "SOFTWARE\GUISelect" "InstallPath" "$INSTDIR"

  ;Create uninstaller
  WriteUninstaller "$INSTDIR\uninstall.exe"

  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application

    ;Create shortcuts
    CreateDirectory "$SMPROGRAMS\$StartMenuFolder"
    CreateShortCut "$SMPROGRAMS\$StartMenuFolder\GUISelect.lnk" "$INSTDIR\GUISelect.exe"
    CreateShortCut "$SMPROGRAMS\$StartMenuFolder\Readme.lnk" "$INSTDIR\Readme.txt"
;    CreateShortCut "$SMPROGRAMS\$StartMenuFolder\ChangeLog.lnk" "$INSTDIR\ChangeLog.txt"
    CreateShortCut "$SMPROGRAMS\$StartMenuFolder\License.lnk" "$INSTDIR\GPLv3_Licence.txt"
    CreateShortCut "$SMPROGRAMS\$StartMenuFolder\Uninstall.lnk" "$INSTDIR\Uninstall.exe"

  !insertmacro MUI_STARTMENU_WRITE_END

SectionEnd

;---------------------------------------
;Uninstaller section
Section "Uninstall"

  ;Delete files and folders
  Delete "$INSTDIR\*.*"
  RMDir "$INSTDIR"

  ;Delete startmenu folder
  !insertmacro MUI_STARTMENU_GETFOLDER Application $StartMenuFolder
  Delete "$SMPROGRAMS\$StartMenuFolder\*.*"
  RMDir "$SMPROGRAMS\$StartMenuFolder"

  DeleteRegKey /ifempty HKCU "Software\GUISelect"

SectionEnd

; vim: ts=2 sw=2 et:
