//
//  Copyright (C) 2009 Mawerick
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
using System;
using System.IO;

using TWP.Utilities;

namespace GUISelect
{
	public static class Settings
	{
		private static IniDocument doc = new IniDocument( "GUISelect.ini" );

		public static string AOPath
		{
			get { return (string) doc.Groups["General"]["AOPath"]; }
			set { doc.Groups["General"]["AOPath"] = value; }
		}

		public static string GUIName
		{
			get { return (string) doc.Groups["General"]["GUIName"]; }
			set { doc.Groups["General"]["GUIName"] = value; }
		}

		public static bool SetSkin
		{
			get { return Convert.ToBoolean( doc.Groups["General"]["SetSkin"] ); }
			set { doc.Groups["General"]["SetSkin"] = value; }
		}

		public static void Load()
		{
			try
			{
				doc.Read();
			}
			catch( FileNotFoundException ex )
			{
				Log.Debug( "[Settings] [Load]", ex.Message );
			}
			catch( IniParseException ex )
			{
				Log.Warning( ex.Message );
				Log.Debug( "[Settings] [Load]", ex.Line );
			}
			doc.SetDefault( "General", "AOPath", String.Empty );
			doc.SetDefault( "General", "GUIName", String.Empty);
			doc.SetDefault( "General", "SetSkin", true );
		}

		public static void Save()
		{
			doc.Write();
		}
	}
}
